Update Secret
curl --request PATCH \
--url https://api.duvo.ai/v2/credentials/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"service_slug": "<string>",
"shared": true,
"values": {},
"rename_keys": {},
"remove_keys": [
"<string>"
],
"add_values": {}
}
'import requests
url = "https://api.duvo.ai/v2/credentials/{id}"
payload = {
"name": "<string>",
"service_slug": "<string>",
"shared": True,
"values": {},
"rename_keys": {},
"remove_keys": ["<string>"],
"add_values": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
service_slug: '<string>',
shared: true,
values: {},
rename_keys: {},
remove_keys: ['<string>'],
add_values: {}
})
};
fetch('https://api.duvo.ai/v2/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"service_slug": "<string>",
"env_var_keys": [
"<string>"
],
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Secrets
Update Secret
Update an env-var secret. Send values to replace all entries, or any of rename_keys, remove_keys, add_values for a non-destructive patch. Editing a team-shared secret or toggling sharing requires manager role.
PATCH
/
v2
/
credentials
/
{id}
Update Secret
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Body
application/json
Required string length:
1 - 128Required string length:
1 - 64Show child attributes
Show child attributes
Show child attributes
Show child attributes
Minimum array length:
1Required string length:
1 - 128Pattern:
^[A-Z_][A-Z0-9_]*$Show child attributes
Show child attributes
Was this page helpful?
⌘I